## psimd 0.0~git20200517.072586a

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.12 FATAL_ERROR)

INCLUDE(GNUInstallDirs)

# ---[ Project
PROJECT(psimd C)

# ---[ psimd library
IF(${CMAKE_VERSION} VERSION_LESS "3.0")
  ADD_LIBRARY(psimd STATIC include/psimd.h)
  SET_TARGET_PROPERTIES(psimd PROPERTIES LINKER_LANGUAGE C)
ELSE()
  ADD_LIBRARY(psimd INTERFACE)
ENDIF()
TARGET_INCLUDE_DIRECTORIES(psimd INTERFACE include)

INSTALL(FILES include/psimd.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

=== debian/changelog ===
psimd (0.0~git20200517.072586a-2) unstable; urgency=medium

  * Change maintainer into Debian Deep Learning Team <debian-ai@l.d.o>.
  * Bump debhelper compat level to 13.
  * Please pin to this upstream snapshot for PyTorch 1.7.0.

 -- Mo Zhou <lumin@debian.org>  Wed, 04 Nov 2020 14:01:36 +0800

psimd (0.0~git20200517.072586a-1) unstable; urgency=medium

  * New upstream version 0.0~git20200517.072586a

 -- Mo Zhou <lumin@debian.org>  Sun, 26 Jul 2020 16:11:58 +0800

psimd (0.0~git20200417.85427dd-2) unstable; urgency=medium

  * Apply wrap-and-sort.
  * Release to unstable.

 -- Mo Zhou <lumin@debian.org>  Tue, 28 Apr 2020 06:50:31 +0000

psimd (0.0~git20200417.85427dd-1) experimental; urgency=medium

  * Initial release. (Closes: #958654)

 -- Mo Zhou <lumin@debian.org>  Fri, 24 Apr 2020 11:18:49 +0800

=== debian/control ===
Source: psimd
Section: libdevel
Priority: optional
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/deeplearning-team/psimd.git
Vcs-Browser: https://salsa.debian.org/deeplearning-team/psimd
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: cmake, debhelper-compat (= 13)
Rules-Requires-Root: no

Package: libpsimd-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Description: Portable 128-bit SIMD intrinsics
 P(ortable) SIMD -- Portable 128-bit SIMD intrinsics
 .
 This is a header-only library.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ -Scmake

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://github.com/Maratyszcza/psimd \
HEAD debian uupdate
